/*
 * @(#)image.h
 *
 * Copyright 1993 - 2005  David A. Bagley, bagleyd@tux.org
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/* images header for Hextris */

#if 0
/* Turn on and off from Makefile */
#define IMAGE 1
#endif

#ifdef WINVER
#include <windows.h>
#else
#include <X11/Intrinsic.h>
#endif

#define BITMAPS 64
#define MAX_UNITS 5

/* Defines to index the bitmaps. */
#define RIGHT 1 /* (1<<0) */
#define RIGHT_DOWN 2 /* (1<<1) */
#define LEFT_DOWN 4 /* (1<<2) */
#define LEFT 8 /* (1<<3) */
#define LEFT_UP 16 /* (1<<4) */
#define RIGHT_UP 32 /* (1<<5) */

#define CHECKRIGHT_DOWN(x) ((x)|RIGHT_DOWN)
#define CHECKLEFT_DOWN(x) ((x)|LEFT_DOWN)
#define CHECKLEFT_UP(x) ((x)|LEFT_UP)
#define CHECKRIGHT_UP(x) ((x)|RIGHT_UP)

#define polyPixmap(i,j,p,s) (BITMAPS-1-(p[j][i]%BITMAPS))
