/*
 * @(#)image.h
 *
 * Copyright 1993 - 2005  David A. Bagley, bagleyd@tux.org
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/* images header for Tertris */

#if 0
/* Turn on and off from Makefile */
#define IMAGE 1
#endif

#ifdef WINVER
#include <windows.h>
#else
#include <X11/Intrinsic.h>
#endif

#define BITMAPS 8
#define MAX_UNITS 8

/* Defines to index the bitmaps. */
#define DOWN 1 /* (1<<0) */ /* Down side of Up Triangle */
#define UP 4 /* (1<<2) */ /* Up side of Down Triangle */

#define CHECKDOWN(x) ((x)|DOWN)
#define CHECKUP(x) ((x)|UP)
#define SWAPUPDOWN(x) (((x&4)>>2)+(x&2)+((x&1)<<2))

#define polyPixmap(i,j,p,s) (BITMAPS-1-(p[j][i]%BITMAPS))
